Subject: Re: [PATCH] Remove possible segfault in http-fetch.

From: Nick Hengeveld <[email-masked]>
Date: Wed, 31 May 2006 09:07:31 -0700

On Sun, May 21, 2006 at 12:49:19AM -0700, Junio C Hamano wrote:

> curl_easy_cleanup() which is called from http_cleanup() says it
> is safe to remove the strings _after_ you call that function, so
> I think the change makes sense -- it was apparently unsafe to
> free them before calling cleanup.
> 
> Knowing nothing about quirks in curl libraries, one thing that
> is mystery to me is that we slist_append() to other two lists
> (pragma_header and range_header) but we do not seem to ever free
> them.  Another slist dav_headers is allocated and then freed
> inside a function, so that call-pattern seems well-formed.
> 
> Nick, care to help us out?

I just got back from a trip to the midwest and am still getting caught
up.  I was only gone for 10 days, you've all been quite busy...

You're correct wrt the other slists, I'll get to work on a patch for
that after I've caught up.

I'm also doing additional testing to see whether this fixes the DAV/405
segfault as I think there may be something else going on there.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.